import request from '@/utils/request'

// 查询企业社会保险费缴纳信息列表
export function listInfo(query) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业社会保险费缴纳信息详细
export function getInfo(id) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/info/' + id,
    method: 'get'
  })
}

// 新增企业社会保险费缴纳信息
export function addInfo(data) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/info',
    method: 'post',
    data: data
  })
}

// 修改企业社会保险费缴纳信息
export function updateInfo(data) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/info',
    method: 'put',
    data: data
  })
}

// 删除企业社会保险费缴纳信息
export function delInfo(id) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  console.log(ids);
  return request.post('/crmEnterpriseSocialSecurityInfo/delete',ids)
}
